## Class TValidationDataType

Description

TValidationDataType class.

TValidationDataType defines the enumerable type for the possible data types that a comparison validator can validate upon.

The following enumerable values are defined:

- Integer
- Float
- Date
- String

- since: 3.0.4
- version: $Id: TBaseValidator.php 2418 2008-04-08 14:48:48Z tof $
- author: Qiang Xue <qiang.xue@gmail.com>

Located in /Web/UI/WebControls/TBaseValidator.php (line 716)

    TEnumerable
       |
       --TValidationDataType

Direct descendents

Class | Description
--- | ---
TRangeValidationDataType | TRangeValidationDataType class.

Class Constant Summary
Date = 'Date'
Float = 'Float'
Integer = 'Integer'
String = 'String'
Class Constants
Date = 'Date' (line 720)
Float = 'Float' (line 719)
Integer = 'Integer' (line 718)
String = 'String' (line 721)

Documentation generated on Mon, 21 Apr 2008 11:31:31 -0400 by phpDocumentor 1.3.0RC4